Resource Center/Network Resource/L3 Network Operations
POSTL3 Network OperationsSince 0.6SynchronousAuth Required
AddIpRangeByNetworkCidr
AddIpRangeByNetworkCidr
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
l3NetworkUuidStringRequiredThe L3 network UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe L3 network name.
descriptionStringOptional. The detailed description of the L3 network.
networkCidrStringRequiredThe network CIDR.
gatewayStringOptional. The gateway.
ipRangeTypeStringOptional. The IP range type.
resourceUuidStringOptional. The resource UUID. If specified, the L3 network will use the specified value as UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges/by-cidr
/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges/by-cidr
Request Example
curl -X POST 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges/by-cidr' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","networkCidr":"<networkCidr>","gateway":"<gateway>","ipRangeType":"<ipRangeType>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "l3NetworkUuid": "4e0926c4fa27455f88c7d94420bf3422", "name": "Test-IPRange", "networkCidr": "192.168.10.0/24" } }Change History
This API has no change history records yet.
